Skip to main content
GET
List customer credits

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

Query Parameters

sort
string

Sort string in the format field:direction. To provide multiple sort fields, separate them with commas.

Available directions: asc, desc.

Available fields: amount, businessPartnerName, documentDate, postingDate, status.

Example:

"amount:desc,createdAt:asc"

filter
string

Filter string in the format field:operator:value. To provide multiple filters, separate them with commas.

Available operators: eq, ne, in, not_in, gt, gte, lt, lte.

  • For in and not_in operators, provide multiple values separated by the pipe character (|).

Available fields: businessPartnerId, companyEntityId, currency, documentDate, einvoiceStatus, id, postingDate, status, updatedAt.

Example:

"state:in:IN_DRAFT|SCHEDULED|PAID,amount:gte:500,vendorId:ne:null"

limit
integer<int32>

Maximum number of items to return. Default is 50, maximum is 200.

Required range: x <= 200
cursor
string

The cursor position to start returning results from. To opt-in into cursor-based pagination, provide 0 for the initial request. For subsequent requests, use nextCursor and prevCursor from the previous response to navigate. Cursor values are opaque and should not be constructed manually.

include
enum<string>[]

Related objects to include on every customer credit. Supported value can be INVOICE_RECEIVABLE

⚠️ This enum is not exhaustive; new values may be added in the future.

Available options:
INVOICE_RECEIVABLE

Response

default - application/json;charset=UTF-8

default response

records
object[]

List of records for the current page

hasMore
boolean

Boolean flag indicating if there are more records available

nextCursor
string | null

Cursor for fetching the next page

prevCursor
string | null

Cursor for fetching the previous page